{ config, lib, pkgs, ... }:

with lib;
with lib.my;
let cfg = config.modules.dev.node;
in {
  options.modules.dev.node = {
    enable = mkBoolOpt false;
  };

  config = mkIf cfg.enable {
    user.packages = with pkgs; [
      nodejs_latest
    ];
  };
}